Package org.apache.storm.scheduler.resource.strategies.scheduling

# Enum Class BaseResourceAwareStrategy.NodeSortType

java.lang.Object
java.lang.Enum<BaseResourceAwareStrategy.NodeSortType>
org.apache.storm.scheduler.resource.strategies.scheduling.BaseResourceAwareStrategy.NodeSortType

All Implemented Interfaces:
  `Serializable`, `Comparable<BaseResourceAwareStrategy.NodeSortType>`, `Constable`

Enclosing class:
  BaseResourceAwareStrategy

public static enum BaseResourceAwareStrategy.NodeSortType extends Enum<BaseResourceAwareStrategy.NodeSortType>
Different node sorting types available. Two of these are for backward compatibility. The last one (COMMON) is the new sorting type used across the board. Refer to `NodeSorter(Cluster, TopologyDetails, NodeSortType)` for more details.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `COMMON`
  New and only node sorting type going forward.
  `DEFAULT_RAS`
  Deprecated.
  used by DefaultResourceAwareStrategyOld only.
  `GENERIC_RAS`
  Deprecated.
  used by GenericResourceAwareStrategyOld only.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static BaseResourceAwareStrategy.NodeSortType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static BaseResourceAwareStrategy.NodeSortType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### GENERIC_RAS

    @Deprecated public static final BaseResourceAwareStrategy.NodeSortType GENERIC_RAS
    Deprecated.
    used by GenericResourceAwareStrategyOld only. Use {link #COMMON} instead.
    Generic Resource Aware Strategy sorting type.

  - ### DEFAULT_RAS

    @Deprecated public static final BaseResourceAwareStrategy.NodeSortType DEFAULT_RAS
    Deprecated.
    used by DefaultResourceAwareStrategyOld only. Use {link #COMMON} instead.
    Default Resource Aware Strategy sorting type.

  - ### COMMON

    public static final BaseResourceAwareStrategy.NodeSortType COMMON
    New and only node sorting type going forward. See `NodeSorterHostProximity` for more details.

- ## Method Details

  - ### values

    public static BaseResourceAwareStrategy.NodeSortType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static BaseResourceAwareStrategy.NodeSortType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null